Package org.eclipse.gef.zest.fx.behaviors

# Class NodeLayoutBehavior

java.lang.Object
org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior
org.eclipse.gef.zest.fx.behaviors.AbstractLayoutBehavior
org.eclipse.gef.zest.fx.behaviors.NodeLayoutBehavior

All Implemented Interfaces:
  `IActivatable`, `IAdaptable.Bound<IVisualPart<? extends Node>>`, `IBehavior`

public class NodeLayoutBehavior extends AbstractLayoutBehavior
The `NodeLayoutBehavior` is a `NodePart`-specific `AbstractLayoutBehavior` implementation.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`active, adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`NodeLayoutBehavior()`

## Method Summary

Modifier and Type
Method
Description
`NodePart`
`getHost()`
`protected LayoutContext`
`getLayoutContext()`
Returns the `LayoutContext` for which `AbstractLayoutBehavior.preLayout()` and `AbstractLayoutBehavior.postLayout()` shall be called before or after a layout pass, respectively.
`protected void`
`postLayout()`
Called after a layout pass.
`protected void`
`preLayout()`
Called before a layout pass.

### Methods inherited from class org.eclipse.gef.zest.fx.behaviors.AbstractLayoutBehavior

`doActivate, doDeactivate, layoutLabels`

### Methods inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`activate, activeProperty, adaptableProperty, addAnchoreds, addAnchoreds, addFeedback, addFeedback, addHandles, addHandles, clearFeedback, clearHandles, deactivate, getAdaptable, getFeedback, getFeedback, getFeedbackPartFactory, getFeedbackPartFactory, getFeedbackPerTargetSet, getHandlePartFactory, getHandlePartFactory, getHandles, getHandles, getHandlesPerTargetSet, hasFeedback, hasFeedback, hasHandles, hasHandles, isActive, removeAnchoreds, removeFeedback, removeFeedback, removeFeedback, removeHandles, removeHandles, removeHandles, setAdaptable, updateHandles, updateHandles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NodeLayoutBehavior

public NodeLayoutBehavior()

## Method Details

### getHost

public NodePart getHost()

Specified by:
  `getHost` in interface `IBehavior`
Overrides:
  `getHost` in class `AbstractBehavior`

### getLayoutContext

protected LayoutContext getLayoutContext()
Description copied from class: `AbstractLayoutBehavior`
Returns the `LayoutContext` for which `AbstractLayoutBehavior.preLayout()` and `AbstractLayoutBehavior.postLayout()` shall be called before or after a layout pass, respectively.

Specified by:
  `getLayoutContext` in class `AbstractLayoutBehavior`
Returns:
  The `LayoutContext` for which `AbstractLayoutBehavior.preLayout()` and `AbstractLayoutBehavior.postLayout()` shall be called before or after a layout pass, respectively.

### postLayout

protected void postLayout()
Description copied from class: `AbstractLayoutBehavior`
Called after a layout pass. Should be used to transfer layout information from the layout model.

Specified by:
  `postLayout` in class `AbstractLayoutBehavior`

### preLayout

protected void preLayout()
Description copied from class: `AbstractLayoutBehavior`
Called before a layout pass. Should be used to transfer layout information to the layout model.

Specified by:
  `preLayout` in class `AbstractLayoutBehavior`